---
# tasks file for isc-dhcp-server
- name: Load OS specific vars
  include_vars: "{{ item }}"
  with_first_found:
    - "{{ ansible_distribution }}.yml"
    - "{{ ansible_os_family }}.yml"
- name: Install DHCP server package
  package:
    name: "{{ isc_dhcp_server_package }}"
    state: present
- name: Ensure DHCP configuration directory exists
  file:
    name: /etc/dhcp
    owner: root
    group: root
    mode: 0750
    state: directory
- name: Install DHCP configuration file
  template:
    src: dhcpd.conf.j2
    dest: /etc/dhcp/dhcpd.conf
    owner: root
    group: root
    mode: 0644
    validate: 'dhcpd -t -cf %s'
    lstrip_blocks: true
  notify: Restart DHCP service
- name: Ensure DHCP service is running and enabled
  service:
    name: "{{ isc_dhcp_server_service }}"
    state: started
    enabled: true
